> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/package-api/resources/first-successful-requests.md).

# First Successful Requests

### Warehouse integration engineer

Create the first package successfully with:

```http
POST /api/v4/Package
```

The `PackageCreate` schema requires `brandCode`, `orderReference`, `packageReference`, `orderType`, and `weight`. `shippingDocumentationRequested` and `returnDocumentationRequested` defaults to `false` if omitted.

#### First successful request

<pre class="language-json" data-expandable="true"><code class="lang-json">curl -X POST "https://logistics-package-api.sandbox.eshopworld.com/api/v4/Package" \
  -H "Authorization: Bearer &#x3C;JWT>" \
<strong>  -H "Content-Type: application/json" \
</strong>  -H "Accept: application/json" \
  -d '{
    "brandCode": "GOC",
    "orderReference": "ABC1234567890",
    "packageReference": "PKG1234567890",
    "orderType": "CHECKOUT",
    "weight": {
      "weight": 1.34,
      "weightUnit": "KG"
    },
    "shippingDocumentationRequested": false,
    "returnDocumentationRequested": false
  }'
</code></pre>

<details>

<summary>Request Construction</summary>

{% @code-walkthrough/body-builder specIndex="{"defs":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"Package.Data.CosmosDb.Entities.DimensionsInfo":{"type":"object","properties":{"length":{"type":"integer","format":"int32"},"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"dimensionUnit":{"type":"string","nullable":true}},"additionalProperties":false},"Package.Data.CosmosDb.Entities.PackageDimension":{"required":\["brandCode"],"type":"object","properties":{"id":{"type":"string","nullable":true},"brandCode":{"minLength":1,"type":"string"},"tenantCode":{"type":"string","nullable":true},"boxCode":{"type":"string","nullable":true},"width":{"type":"number","format":"double","nullable":true},"height":{"type":"number","format":"double","nullable":true},"length":{"type":"number","format":"double","nullable":true},"measurement":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement"},"ttl":{"type":"integer","format":"int32"}},"additionalProperties":false},"Package.Data.CosmosDb.Entities.PackagePayload":{"type":"object","properties":{"requestType":{"type":"string","nullable":true},"apiVersion":{"type":"string","nullable":true},"isSuccess":{"type":"boolean"},"timeStamp":{"type":"string","format":"date-time"},"payload":{"type":"string","nullable":true},"traceContext":{"type":"string","nullable":true}},"additionalProperties":false},"Package.Data.CosmosDb.Entities.PackageRequestData":{"required":\["id"],"type":"object","properties":{"id":{"type":"string"},"brandCode":{"type":"string","nullable":true},"requests":{"type":"array","items":{"$ref":"#/components/schemas/Package.Data.CosmosDb.Entities.PackagePayload"},"nullable":true}},"additionalProperties":false},"Package.Data.CosmosDb.Entities.SfaConfig":{"required":\["tenantCode"],"type":"object","properties":{"id":{"type":"string","nullable":true},"tenantCode":{"minLength":1,"type":"string"},"createBulkPackagesLimitNumber":{"type":"integer","format":"int32"},"countryISO":{"type":"array","items":{"type":"string"},"nullable":true},"shipFromAnywhereFields":{"type":"array","items":{"$ref":"#/components/schemas/Package.Data.CosmosDb.Entities.ShipFromAnywhereField"},"nullable":true},"dimensionsInfo":{"$ref":"#/components/schemas/Package.Data.CosmosDb.Entities.DimensionsInfo"},"weightInfo":{"$ref":"#/components/schemas/Package.Data.CosmosDb.Entities.WeightInfoSfa"},"ttl":{"type":"integer","format":"int32"}},"additionalProperties":false},"Package.Data.CosmosDb.Entities.ShipFromAnywhereField":{"type":"object","properties":{"name":{"type":"string","nullable":true},"display":{"type":"boolean"},"mandatory":{"type":"boolean"}},"additionalProperties":false},"Package.Data.CosmosDb.Entities.WeightInfoSfa":{"type":"object","properties":{"weight":{"type":"number","format":"double"},"weightUnit":{"type":"string","nullable":true}},"additionalProperties":false},"Package.Model.Common.DimensionUnit":{"enum":\[0,1],"type":"integer","description":"Unit of measurement for the package dimensions. 0 indicates Inches and 1 indicates Centimetres.","format":"int32"},"Package.Model.Common.OrderType":{"enum":\[0,1,2],"type":"integer","description":"Type of order.\n\n0 Checkout orders.\n\n1 Non-checkout orders.\n\n2 Return orders.","format":"int32"},"Package.Model.Common.ServiceLevel":{"enum":\[1,2,3,4,5,6],"type":"integer","description":"Service Levels.","format":"int32"},"Package.Model.Common.V4.ClientType":{"enum":\["Unspecified","Retailer","Broker"],"type":"string","description":"Client Types."},"Package.Model.Common.V4.DimensionUnit":{"enum":\["IN","CM"],"type":"string","description":"Unit of measurement for the package dimensions.\nBoth IN and INCH have a value of 0.  CM (Centimeters) has a value of 1.\nInteger or String can be passed as the parameter value."},"Package.Model.Common.V4.DocumentStatus":{"enum":\["Created","Error"],"type":"string","description":"Document creation status"},"Package.Model.Common.V4.DocumentationType":{"enum":\["SHIPPING\_LABEL","SUPPORTING\_DOCUMENTATION","PACKING\_SLIP","ORDER\_SALES\_INVOICE","ORDER\_SALES\_INVOICE\_COPY","RETURN\_LABEL"],"type":"string","description":"The type of the document.\n            \nSHIPPING\_LABEL - Shipping label documentation to attach to Package (shipping)\n            \nSUPPORTING\_DOCUMENTATION - Any additional documentation , for example a Commercial Invoice (shipping)\n            \nPACKING\_SLIP - Document listing all items in Package (shipping)\n            \nORDER\_SALES\_INVOICE - Order sales invoice documentation (shipping)\n            \nORDER\_SALES\_INVOICE\_COPY - Order sales invoice documentation copy (same as ORDER\_SALES\_INVOICE) - is normally sent to the Customer by the Retailer. (shipping)\n            \nRETURN\_LABEL - Documentation for the Customer to include in Return Package if returning any items (returns)"},"Package.Model.Common.V4.HoldReleaseStatus":{"enum":\["Release","Hold","ReturnToRetailer"],"type":"string","description":"HoldReleaseStatus"},"Package.Model.Common.V4.OrderType":{"enum":\["CHECKOUT","NONCHECKOUT","RETURN","OFFLINE","NONCHECKOUTECOMMERCE"],"type":"string","description":"Type of order.\n\n0 Checkout orders.\n\n1 Non-checkout orders.\n\n2 Return orders.\n\n3 Offline orders\n\n8 Non-checkout ecommerce orders"},"Package.Model.Common.V4.ServiceLevel":{"enum":\["POST","EXP1","EXP2","RussiaExpress","Standard","Pudo"],"type":"string","description":"Service Levels.\n\n 1 - POST: same as Standard\n\n 2 - EXP1: DEFERRED EXPRESS\n\n 3 - EXP2: EXPRESS\n\n 4 - RussiaExpress: not used\n\n 5 - Standard: same as Post\n\n 6 - Pudo: only used by Selected Retailers"},"Package.Model.Common.V4.ShippingStatus":{"enum":\["Complete","Pending"],"type":"string","description":"Shipping status - Indicates the Status of the Package. If not provided, Shipped/Complete is assumed. (Both integers and strings are accepted)\n\n 0 or "Complete" or "Shipped" - indicates that the Package is ready for Shipping and no further updates(PUT) can be processed;\n\n 1 or "Pending" or "NotShipped" - indicates that the Package is not yet ready for Shipping. eShopWorld will expect to receive an update (PUT) on the ShippingStatus when it is ready for Shipping;"},"Package.Model.Common.V4.WeightUnit":{"enum":\["KG","LB"],"type":"string","description":"Unit of measurement for the items in the package. Allowed values are: 0 or KG for Kilograms and 1 or LB for Pounds."},"Package.Model.Common.WeightUnit":{"enum":\[0,1],"type":"integer","description":"Unit of measurement for the items in the package. 0 indicates KG and 1 indicates LB.","format":"int32"},"Package.Model.DTO.BrandCountryCombination":{"type":"object","properties":{"tenantCode":{"type":"string","description":"Gets or sets the tenant code.","nullable":true},"brandCode":{"type":"string","description":"Gets or sets the brand code.","nullable":true},"countryIso":{"type":"array","items":{"type":"string"},"description":"Gets or sets the list of country ISO codes.","nullable":true}},"additionalProperties":false,"description":"Represents a combination of brand and country."},"Package.Model.DTO.DimensionsInfo":{"type":"object","properties":{"length":{"type":"integer","description":"Gets or sets the length.","format":"int32"},"width":{"type":"integer","description":"Gets or sets the width.","format":"int32"},"height":{"type":"integer","description":"Gets or sets the height.","format":"int32"},"dimensionUnit":{"type":"string","description":"Gets or sets the unit of the dimensions.","nullable":true}},"additionalProperties":false,"description":"Represents the dimensions information."},"Package.Model.DTO.Flight":{"type":"object","properties":{"carrierCode":{"type":"string","description":"Carrier code.","nullable":true,"example":"AF"},"flightNumber":{"type":"string","description":"Flight number.","nullable":true,"example":"AF007"},"estimatedTimeOfDeparture":{"type":"string","description":"Estimated time of departure.","format":"date-time","nullable":true,"example":"2024-06-11T10:00:00"},"estimatedTimeOfArrival":{"type":"string","description":"Estimated time of arrival.","format":"date-time","nullable":true,"example":"2024-06-12T12:00:00"}},"additionalProperties":false,"description":"Flight DTO"},"Package.Model.DTO.ManifestRequest":{"type":"object","properties":{"manifestNumber":{"type":"string","description":"Gets or sets the manifest number.","nullable":true,"example":"11102062024"},"originAirportCode":{"type":"string","description":"Manifest origin airport code.","nullable":true,"example":"DUB"},"destinationAirportCode":{"type":"string","description":"Manifest destination airport code.","nullable":true,"example":"LHR"},"carrierId":{"type":"integer","description":"Manifest carrier identifier.","format":"int32","example":9},"groundHandlingAgent":{"type":"string","description":"Manifest ground handling agent.","nullable":true,"example":"SATS"},"flight":{"$ref":"#/components/schemas/Package.Model.DTO.Flight"},"pallets":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.Pallet"},"description":"Manifest pallets.","nullable":true,"example":"Pallet"}},"additionalProperties":false,"description":"Manifest Request DTO"},"Package.Model.DTO.PackageRequest":{"type":"object","properties":{"carrierId":{"type":"integer","description":"(Optional) The Carrier ID handling the package.","format":"int32","nullable":true,"example":21},"brandCode":{"type":"string","description":"(Required) Unique three-letter identifier for the retailer's brand.","nullable":true,"example":"GOC"},"wareHouse":{"type":"string","description":"(Optional) Warehouse from where the package will be shipped.","nullable":true,"example":"WH123"},"orderReference":{"type":"string","description":"(Required) Unique order reference number for the package.","nullable":true,"example":"AUTO\_20191220213023"},"originalOrderReference":{"type":"string","description":"(Optional) Original order reference number. Used where the package is a back order package or the order number is different, for example, a child order number. The OriginalOrderReference is required to link the packages to a single original parent order.","nullable":true,"example":"1234567"},"packageReference":{"type":"string","description":"(Required) Unique reference number for the package.","nullable":true,"example":"AUTO\_20191220213023"},"carrierReference":{"type":"string","description":"(Optional) Carrier reference of the package.","nullable":true,"example":"Carrier Ref"},"additionalImportInformation":{"type":"string","description":"(optional) Additional information/Documents produced/Certificates and authorizations","nullable":true,"example":"ABC123456"},"labelKey":{"type":"string","description":"(optional) Reference to label associated with package, in Ship-to-Store scenario.","nullable":true,"example":"LBL123456789"},"isBackOrder":{"type":"boolean","description":"(Optional) Indicates whether the package is the first package shipped for the order.","example":false},"consignee":{"$ref":"#/components/schemas/Package.Model.Domain.PackageConsignee"},"orderType":{"$ref":"#/components/schemas/Package.Model.Common.OrderType"},"shippingInfo":{"$ref":"#/components/schemas/Package.Model.Domain.ShippingInfo"},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.WeightInfo"},"dimensions":{"$ref":"#/components/schemas/Package.Model.Domain.DimensionInfo"},"goodsDescription":{"type":"string","description":"(Required) Localized description of the product.","nullable":true,"example":"Test Goods"},"serviceLevel":{"$ref":"#/components/schemas/Package.Model.Common.ServiceLevel"},"packageItems":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.Domain.PackageItem"},"description":"(Required) Attributes that describe the package item(s).","nullable":true}},"additionalProperties":false,"description":"Package request model."},"Package.Model.DTO.Pallet":{"type":"object","properties":{"palletReference":{"type":"string","description":"Pallet reference.","nullable":true,"example":"11102062024"},"eShopPackageReferences":{"type":"array","items":{"type":"integer","format":"int64"},"description":"EShop package references.","nullable":true,"example":\[6001020171566,6001020203244]}},"additionalProperties":false,"description":"Pallet DTO"},"Package.Model.DTO.SfaConfigBatchDto":{"type":"object","properties":{"createBulkPackagesLimitNumber":{"type":"integer","description":"Gets or sets the limit number for creating bulk packages.","format":"int32"},"brandCountryCombination":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.BrandCountryCombination"},"description":"Gets or sets the list of brand and country combinations.","nullable":true},"shipFromAnywhereFields":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.ShipFromAnywhereField"},"description":"Gets or sets the list of fields for Ship From Anywhere.","nullable":true},"dimensionsInfo":{"$ref":"#/components/schemas/Package.Model.DTO.DimensionsInfo"},"weightInfo":{"$ref":"#/components/schemas/Package.Model.DTO.WeightInfoBatchDto"}},"additionalProperties":false,"description":"Represents a batch configuration for SFA (Ship From Anywhere)."},"Package.Model.DTO.ShipFromAnywhereField":{"type":"object","properties":{"name":{"type":"string","description":"Gets or sets the name of the field.","nullable":true},"display":{"type":"boolean","description":"Gets or sets a value indicating whether the field is displayed."},"mandatory":{"type":"boolean","description":"Gets or sets a value indicating whether the field is mandatory."}},"additionalProperties":false,"description":"Represents a field for Ship From Anywhere."},"Package.Model.DTO.V3.LabelApi.PackageResponseOutcome":{"enum":\["PackageAndLabelCreated","PackageCreated","PackageCreatedAndLabelError","PackageCreatedAndLabelOnHold","PackageCreatedAndCancelLabelError","PackageNotCreated","PackageUpdatedAndLabelError","PackageUpdated","PackageAndLabelUpdated","PackageNotUpdated","PackageNotUpdatedAsAlreadyComplete","PackageUpdatedAndLabelOnHold"],"type":"string","description":"Package Response Outcome Enums\n\n1: PackageAndLabelCreated\n\n2: PackageCreated\n\n3: PackageCreatedAndLabelError\n\n4: PackageCreatedAndLabelOnHold\n\n5: PackageCreatedAndCancelLabelError\n\n6: PackageNotCreated\n\n7: PackageUpdatedAndLabelError\n\n8: PackageUpdated\n\n9: PackageAndLabelUpdated\n\n10: PackageNotUpdated\n\n11: PackageNotUpdatedAsAlreadyComplete\n\n12: PackageUpdatedAndLabelOnHold \n"},"Package.Model.DTO.V3.LogisticApi.GetPackageResponseCode":{"enum":\[1,101,102,106,400],"type":"integer","description":"GetPackageResponseCode","format":"int32"},"Package.Model.DTO.V3.LogisticApi.GetPackages+GetPackageItem":{"type":"object","properties":{"productCode":{"type":"string","description":"(Required) Retailer's unique identification code or SKU for the order article.","nullable":true,"example":"ABC123456"},"quantity":{"type":"integer","description":"(Required) Number of items of the productCode. The quantity can be greater than one only if productCode and unitPrice match. If there are two items in the package with the same productCode but different prices, then each item must have its own individual PackageItems parameter.","format":"int32","nullable":true,"example":123},"productDescription":{"type":"string","description":"Description of the product. This is required for non-checkout orders and optional for checkout, return and offline orders.","nullable":true,"example":"Product Description"},"productCustomsDescription":{"type":"string","description":"(Conditional. Rule: Optional/blank for Checkout orders, and Mandatory/completed for non-checkout orders.) Description of the product, including material composition for customs purpose.","nullable":true,"example":"Test Product Customs Description"},"countryOfOrigin":{"type":"string","description":"(Conditional. Rule: Optional/blank for Checkout orders, and Mandatory/completed for non-checkout orders.) Two-letter manufacturing country of origin of the product in the ISO 3166-1 alpha-2 format, for example, IE for Ireland.","nullable":true,"example":"US"},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.WeightInfo"},"unitPrice":{"$ref":"#/components/schemas/Package.Model.Domain.Price"},"hsCode":{"type":"string","description":"(Conditional. Rule: Optional/blank for Checkout orders, and Mandatory/completed for non-checkout orders.) Harmonized System (HS) code of the product.","nullable":true,"example":"123456"},"fta":{"type":"boolean","description":"(Optional) If the item is covered by a Free Trade Agreement.","nullable":true,"example":false},"dangerousGoods":{"type":"boolean","description":"(Optional) Indicates whether the package contains any items that are Dangerous/Hazardous.","nullable":true,"example":false},"serialNumber":{"type":"string","description":"(Optional) The serial number of the package item.","nullable":true,"example":"ABC123456"},"warrantyId":{"type":"string","description":"(Optional) The warranty ID of the package item.","nullable":true,"example":"ABC123456"}},"additionalProperties":false,"description":""},"Package.Model.DTO.V3.LogisticApi.GetPackages+GetPackagesResponse":{"type":"object","properties":{"responseCode":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.GetPackageResponseCode"},"responseMessage":{"type":"string","description":"Response message from ASN API","nullable":true},"packages":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.GetPackages+Package"},"description":"List of packages return from ASN API","nullable":true}},"additionalProperties":false,"description":"GetPackages Response"},"Package.Model.DTO.V3.LogisticApi.GetPackages+Package":{"type":"object","properties":{"creationTime":{"type":"string","description":"CreationTime","format":"date-time","nullable":true},"eShopPackageReference":{"type":"integer","description":"EShopPackageReference","format":"int64"},"packageItems":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.GetPackages+GetPackageItem"},"description":"PackageItems","nullable":true},"orderType":{"$ref":"#/components/schemas/Package.Model.Common.OrderType"},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.WeightInfo"},"labelRequested":{"type":"boolean","description":"(Optional) Indicates whether a Label/Supporting Documentation should be requested and returned in the response. If not provided, false is assumed.","example":false},"parentOrderReference":{"type":"string","description":"(Optional) Parent order reference number. Used where the package is a back-order package or the shipped order reference is different, for example, a child order number. The ParentOrderReference is required to link the packages to a single original parent order.","nullable":true,"example":"AUTO\_20191220213023"},"carrierId":{"type":"integer","description":"(Optional) The Carrier ID handling the package. (See list/ definition below)","format":"int32","nullable":true,"example":21},"carrierReference":{"type":"string","description":"(Optional) Unique reference of carrier of this package.","nullable":true,"example":"Carrier Ref"},"distributionCentre":{"type":"string","description":"(Optional) Distribution centre from where the package will be shipped.","nullable":true,"example":"DCGB"},"additionalImportInformation":{"type":"string","description":"(Optional) Additional information, documents produced, or certificates and authorizations for the package.","nullable":true,"example":"Additional Import Information"},"isBackOrder":{"type":"boolean","description":"(Optional) Indicates whether the package is the first package shipped for the order. If not provided, false is assumed.","example":false},"dangerousGoods":{"type":"boolean","description":"Indicates whether the package contains any items that are Dangerous/Hazardous. Items that are deemed to be hazardous or dangerous as agreed between eShopWorld's Trade Compliance team and the Retailer's Catalog","nullable":true,"example":false},"dangerousGoodsClassificationCode":{"type":"string","description":"Package Dangerous Goods classification code.","nullable":true,"example":"4.1"},"dangerousGoodsUNNumber":{"type":"string","description":"Package Dangerous Goods UN Number.","nullable":true,"example":"UN 0001"},"consignee":{"$ref":"#/components/schemas/Package.Model.Domain.Consignee"},"shippingInfo":{"$ref":"#/components/schemas/Package.Model.Domain.Price"},"dimensions":{"$ref":"#/components/schemas/Package.Model.Domain.V3.DimensionInfo"},"goodsDescription":{"type":"string","description":"(Optional) Package content’s description.","nullable":true,"example":"Test Description"},"serviceLevel":{"$ref":"#/components/schemas/Package.Model.Common.ServiceLevel"},"labelKey":{"type":"string","description":"(Optional) Package LabelKey","nullable":true,"example":"LBL123456789"},"brandCode":{"type":"string","description":"(Required) eShopWorld’s unique three-letter identifier for the retailer's brand.","nullable":true,"example":"GOC"},"orderReference":{"type":"string","description":"(Required) The Retailer’s unique reference for the order to which this package relates.","nullable":true,"example":"ABC123456"},"packageReference":{"type":"string","description":"(Required) The Retailer’s unique reference for this package.","nullable":true,"example":"AAA1234546"},"isShipFromStoreRequest":{"type":"boolean","description":"(Optional) Flag to say if request is from ShipFromStore","example":false}},"additionalProperties":false,"description":"Package"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.DistributionCentre":{"type":"object","properties":{"distributionCentreCode":{"type":"string","description":"DistributionCentreCode","nullable":true},"distributionCentreFriendlyName":{"type":"string","description":"DistributionCentreFriendlyName","nullable":true}},"additionalProperties":false,"description":"DistributionCentre"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.OrderDeliveryType":{"enum":\[0,1,2,3,4],"type":"integer","format":"int32"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.Pagination":{"type":"object","properties":{"currentPage":{"type":"integer","description":"Gets or sets the current page.","format":"int32","example":1},"pageCount":{"type":"integer","description":"Gets or sets the page count.","format":"int32","example":5},"pageSize":{"type":"integer","description":"Gets or sets the size of the page.","format":"int32","example":10},"rowCount":{"type":"integer","description":"Gets or sets the row count.","format":"int32","example":50},"firstRowOnPage":{"type":"integer","description":"Gets the first row on page.","format":"int32","readOnly":true,"example":10},"lastRowOnPage":{"type":"integer","description":"Gets the last row on page.","format":"int32","readOnly":true,"example":10},"orderByField":{"type":"string","description":"Gets or sets the order by field.","nullable":true,"example":"orderId"},"isOrderByAsc":{"type":"boolean","description":"Gets or sets a value indicating whether this instance is order by asc.","example":true}},"additionalProperties":false,"description":""},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingAddress":{"type":"object","properties":{"nameAddressId":{"type":"integer","description":"NameAddressId","format":"int64","example":""},"brandId":{"type":"integer","description":"BrandId","format":"int32"},"firstName":{"type":"string","description":"FirstName","nullable":true,"example":"Mike"},"middleName":{"type":"string","description":"MiddleName","nullable":true,"example":""},"lastName":{"type":"string","description":"LastName","nullable":true,"example":"Military"},"name":{"type":"string","description":"Name","nullable":true,"readOnly":true,"example":"Mike Military"},"email":{"type":"string","description":"Email","nullable":true,"example":"<MikeMilitary@test.com>"},"telephone":{"type":"string","description":"Telephone","nullable":true,"example":"+1 937-438-4157"},"address1":{"type":"string","description":"Address1","nullable":true,"example":"8655 E BROAD STREET"},"address2":{"type":"string","description":"Address2","nullable":true,"example":"Apt 16B"},"address3":{"type":"string","description":"Address3","nullable":true,"example":""},"city":{"type":"string","description":"City","nullable":true,"example":"REYNOLDSBURG"},"region":{"type":"string","description":"Region","nullable":true,"example":"OH"},"postalCode":{"type":"string","description":"PostalCode","nullable":true,"example":"43069"},"country":{"type":"string","description":"Country","nullable":true,"example":"United States"},"countryIso":{"type":"string","description":"CountryIso","nullable":true,"example":"US"}},"additionalProperties":false,"description":"ShippingAddress"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingOrder":{"type":"object","properties":{"orderGuid":{"type":"string","description":"Order Guid","format":"uuid","nullable":true},"orderId":{"type":"integer","description":"OrderId","format":"int64","example":7601290},"isPaymentSettled":{"type":"boolean","description":"IsPaymentSettled","example":false},"brandName":{"type":"string","description":"BrandName","nullable":true,"example":"Victoria's Secret"},"brandCode":{"type":"string","description":"BrandCode","nullable":true,"example":"VSD"},"billingCurrencyCode":{"type":"string","description":"BillingCurrencyCode","nullable":true,"example":"USD"},"deliveryType":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.OrderDeliveryType"},"isShipToStore":{"type":"boolean","description":"Indicate if the Order will be shipped to a retailer store","readOnly":true},"serviceLevelCode":{"type":"string","description":"ServiceLevelCode","nullable":true,"example":"POST"},"serviceLevelId":{"type":"integer","description":"ServiceLevelId","format":"int32","example":1},"weightUnit":{"type":"string","description":"WeightUnit","nullable":true,"example":"Lb"},"brandOrderReference":{"type":"string","description":"BrandOrderReference","nullable":true,"example":"TH798651792"},"brandId":{"type":"integer","description":"BrandId","format":"int32","example":1},"creationTime":{"type":"string","description":"CreationTime","format":"date-time","example":"2019-10-16 00:28:08.390"},"orderStatusId":{"type":"integer","description":"OrderStatusId","format":"int32","example":4},"status":{"type":"string","description":"Status","nullable":true,"example":"Received"},"numberItemsShipped":{"type":"integer","description":"NumberItemsShipped","format":"int32","example":2},"numberItemsCancelled":{"type":"integer","description":"NumberItemsCancelled","format":"int32","example":3},"totalItems":{"type":"integer","description":"TotalItems","format":"int32","example":4},"fromAddress":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingAddress"},"toAddress":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingAddress"},"orderArticles":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingOrderArticle"},"description":"OrderArticles","nullable":true},"packages":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingPackage"},"description":"Packages","nullable":true},"distributionCentres":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.DistributionCentre"},"description":"DistributionCentres","nullable":true},"itemsReceivedTotal":{"type":"integer","description":"ItemsReceivedTotal","format":"int32"},"allocationMethod":{"type":"string","description":"Allocation Method","nullable":true}},"additionalProperties":false,"description":"ShippingOrder"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingOrderArticle":{"type":"object","properties":{"unitPrice":{"type":"number","description":"UnitPrice","format":"double","example":2.5},"orderArticleId":{"type":"integer","description":"OrderArticleId","format":"int64","example":20592870},"cancelStatusId":{"type":"integer","description":"CancelStatusId","format":"int32","example":1},"productCode":{"type":"string","description":"ProductCode","nullable":true,"example":"43069"},"description":{"type":"string","description":"Description","nullable":true,"example":"landscape puffer vest100% POLYESTER"},"customsDescription":{"type":"string","description":"CustomsDescription","nullable":true,"example":"landscape puffer vest100% POLYESTER"},"shipped":{"type":"boolean","description":"Shipped","example":true},"packageable":{"type":"boolean","description":"Packageable","readOnly":true,"example":true},"hsCode":{"type":"string","description":"HsCode used in labeling","nullable":true},"isContainedInPackage":{"type":"boolean","description":"True if shipping article is contained in the SFS Hub Package"},"countryOfOrigin":{"type":"string","description":"Country of origin","nullable":true},"hubLocation":{"type":"string","description":"Hub location","nullable":true},"markedAsReceived":{"type":"boolean","description":"Marked as received"},"creationTime":{"type":"string","description":"Creation time","format":"date-time","nullable":true},"received":{"type":"boolean","description":"Received"},"fulfilmentCentreId":{"type":"string","description":"FulfilmentCentreId","nullable":true,"example":"AGVAGV-DE-001"}},"additionalProperties":false,"description":"ShippingOrderArticle"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingOrderSearchRequest":{"required":\["pageNumber","pageSize"],"type":"object","properties":{"brandCode":{"type":"string","description":"BrandCode","nullable":true,"example":"GOC"},"tenantCode":{"type":"string","description":"TenantCode","nullable":true,"example":"GOCAS"},"brandOrderReference":{"type":"string","description":"BrandOrderReference","nullable":true,"example":"TH798651792"},"shippingStatuses":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingStatus"},"description":"List of ShippingStatus","nullable":true,"example":"UnShipped, PartiallyShipped, Shipped"},"name":{"type":"string","description":"Name","nullable":true,"example":"Prasanna Nagineni"},"email":{"type":"string","description":"Email","nullable":true,"example":"<pnagineni@test.com>"},"fromDate":{"type":"string","description":"FromDate","format":"date-time","nullable":true,"example":"2019-10-15 00:00:00"},"toDate":{"type":"string","description":"ToDate","format":"date-time","nullable":true,"example":"2019-10-16 00:00:00"},"usersFulfillmentCentreCodes":{"type":"array","items":{"type":"string"},"description":"List of FulfillmentCentreCodes assigned to the User (may be empty)","nullable":true,"example":"GOCAS-US-002"},"pageNumber":{"type":"integer","description":"The page number to display.","format":"int32","example":1},"pageSize":{"type":"integer","description":"The size of the page to display.","format":"int32","example":10},"orderByField":{"type":"string","description":"The field to be used to order the results","nullable":true,"example":"orderId"},"isOrderByAsc":{"type":"boolean","description":"The field to be used to sort the results","example":true}},"additionalProperties":false,"description":"ShippingOrderSearchRequest"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingOrdersResponse":{"type":"object","properties":{"httpStatusCode":{"$ref":"#/components/schemas/System.Net.HttpStatusCode"},"errorMessage":{"type":"string","description":"ErrorMessage","nullable":true,"example":"This is an Error Message"},"result":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingOrder"},"description":"ShippingOrders","nullable":true},"pagination":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.Pagination"},"code":{"type":"integer","description":"Code","format":"int32"},"message":{"type":"string","description":"Error Message","nullable":true}},"additionalProperties":false,"description":"ShippingOrders Response"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingPackage":{"type":"object","properties":{"packageId":{"type":"integer","description":"PackageId","format":"int64","example":3154321},"status":{"type":"string","description":"Status","nullable":true,"example":"Created"},"labelKey":{"type":"string","description":"LabelKey","nullable":true,"example":"00000000000043844943"},"providerLabelReference":{"type":"string","description":"ProviderLabelReference","nullable":true,"example":"A2501782-82E4-4AC1-8AEF-A2E130447C87"},"eShopPackageReference":{"type":"integer","description":"EShopPackageReference","format":"int64","example":6001002068641},"brandPackageReference":{"type":"string","description":"BrandPackageReference","nullable":true,"example":"19803488037600100037"},"carrierReference":{"type":"string","description":"CarrierReference","nullable":true,"example":"4203424992748927005024000000002696"},"packageAttributes":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingPackageAttribute"},"description":"PackageAttributes","nullable":true},"packageArticles":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingPackageArticle"},"description":"PackageArticles","nullable":true}},"additionalProperties":false,"description":"ShippingPackage"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingPackageArticle":{"type":"object","properties":{"orderArticleId":{"type":"integer","description":"OrderArticleId","format":"int64","example":36010108},"productCode":{"type":"string","description":"ProductCode","nullable":true,"example":"294489"},"description":{"type":"string","description":"Description","nullable":true,"example":"SEAMLESS SHINE BRIEF VS PANTIES TBD"}},"additionalProperties":false,"description":"ShippingPackageArticle"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingPackageAttribute":{"type":"object","properties":{"typeId":{"type":"integer","description":"TypeId","format":"int32","example":3},"value":{"type":"string","description":"Value","nullable":true,"example":"558e5a99-7dc8-4ff8-921b-ca8241b70bdd"}},"additionalProperties":false,"description":"ShippingPackageAttribute"},"Package.Model.DTO.V3.LogisticApi.ShipFromStore.ShippingStatus":{"enum":\[1,2,3],"type":"integer","description":"ShippingStatus","format":"int32"},"Package.Model.DTO.V4.AdditionalCarrierData":{"type":"object","properties":{"additionalCarrierData1":{"type":"string","description":"Addition data field one, available for carrier specific data.","nullable":true,"example":"Additional Carrier Data 1"},"additionalCarrierData2":{"type":"string","description":"Addition data field two, available for carrier specific data.","nullable":true,"example":"Additional Carrier Data 2"},"additionalCarrierData3":{"type":"string","description":"Addition data field three, available for carrier specific data.","nullable":true,"example":"Additional Carrier Data 3"},"additionalCarrierData4":{"type":"string","description":"Addition data field four, available for carrier specific data.","nullable":true,"example":"Additional Carrier Data 4"},"additionalCarrierData5":{"type":"string","description":"Addition data field five, available for carrier specific data.","nullable":true,"example":"Additional Carrier Data 5"}},"additionalProperties":false,"description":"(Optional) Any additional carrier specific information (data generated as part of label, routing etc).\n\n This is normally supplied by the Broker (Centiro), not by the Retailer. We cater for 5 different pieces of Additional Data which must be agreed with eShopWorld beforehand. i.e. MPS Id can be stored in AdditionalCarrierData1"},"Package.Model.DTO.V4.ConsigneeUpdate":{"type":"object","properties":{"address1":{"type":"string","description":"Address Line 1 of the address.","nullable":true,"example":"Address 1"},"address2":{"type":"string","description":"Address Line 2 of the address.","nullable":true,"example":"Address 2"},"address3":{"type":"string","description":"Address Line 3 of the address.","nullable":true,"example":"Address 3"},"city":{"type":"string","description":"City of the address.","nullable":true,"example":"City"},"postalCode":{"type":"string","description":"Postal code or zip code of the address.","nullable":true,"example":"Postcode"},"poBox":{"type":"string","description":"Postal order box address of the address.","nullable":true,"example":"PO BOX 1234"},"region":{"type":"string","description":"Region, province, state, or county of the address. ISO can be provided, if available.","nullable":true,"example":"US"}},"additionalProperties":false,"description":"Update contact details for the shopper (consignee)."},"Package.Model.DTO.V4.Documentation":{"type":"object","properties":{"Document":{"type":"string","description":"The document in base64 format. Note: All documents are in base64 format.","nullable":true,"example":"JVBERi0xLjMNCjEgMCBvYmoNCjw8DQovVHlwM..."},"type":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentationType"},"format":{"type":"string","description":"Document format. ZIP or PDF","nullable":true,"example":"Pdf"},"link":{"type":"string","description":"The document resource uri.","nullable":true,"example":"[http://examplelink"},"documentStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentStatus"}},"additionalProperties":false,"description":"Package](https://developer.esw.com/package-api/resources/http:/examplelink"},"documentStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentStatus"}},"additionalProperties":false,"description":"Package) documentation information."},"Package.Model.DTO.V4.LabelConfigHistory":{"type":"object","properties":{"id":{"type":"string","description":"Gets the unique identifier for the bulk upload history record.","nullable":true},"tenantCode":{"type":"string","description":"Gets or sets the tenant code.","nullable":true},"fileName":{"type":"string","description":"Gets or sets the name of the uploaded file.","nullable":true},"uploadedByName":{"type":"string","description":"Gets or sets the name of the person who uploaded the record.","nullable":true},"uploadedByEmail":{"type":"string","description":"Gets or sets the email of the person who uploaded the file.","nullable":true},"createdOn":{"type":"string","description":"Gets or sets the date of the record who uploaded the file.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Represents the response for a single bulk data history record."},"Package.Model.DTO.V4.LabelConfigHistoryListResponse":{"type":"object","properties":{"labelConfigHistory":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.LabelConfigHistory"},"description":"Gets or sets the list of bulk data history responses.","nullable":true},"httpStatusCode":{"$ref":"#/components/schemas/System.Net.HttpStatusCode"},"statusMessage":{"type":"string","description":"Gets or sets the status message.","nullable":true}},"additionalProperties":false,"description":"Represents the response for getting bulk data history list."},"Package.Model.DTO.V4.LogisticApi.PackageCreateResponse":{"type":"object","properties":{"outcome":{"$ref":"#/components/schemas/Package.Model.DTO.V3.LabelApi.PackageResponseOutcome"},"statusMessage":{"type":"string","description":"Status Message (i.e. Success, ReturnPackageCreated)","nullable":true,"example":"Success"},"package":{"$ref":"#/components/schemas/Package.Model.DTO.V4.Package"}},"additionalProperties":false,"description":"Package Create Response"},"Package.Model.DTO.V4.Package":{"required":\["brandCode","orderReference","orderType","packageReference","weight"],"type":"object","properties":{"brandCode":{"minLength":1,"type":"string","description":"eShopWorld’s unique three letter identifier for the retailer's brand. This will be used to identify the brand and cannot be updated.","example":"GOC"},"orderReference":{"minLength":1,"type":"string","description":"Retailer’s unique reference for the order to which this package relates. This will be used to identify the order and cannot be updated.","example":"ABC123456789"},"packageReference":{"minLength":1,"type":"string","description":"Retailer’s unique reference for this package.  This will be used to identify the package and cannot be updated.","example":"AAA123456789"},"eShopPackageReference":{"maxLength":50,"minLength":0,"type":"integer","description":"Gets or sets the eShopWorld unique package reference.","format":"int64","example":"ABC123456789"},"parentOrderReference":{"maxLength":30,"minLength":0,"type":"string","description":"Parent order reference number. Used where the package is a back-order package or the shipped order\nreference is different, for example, a child order number. The ParentOrderReference is required to\nlink the packages to a single original parent order.","nullable":true,"example":"AAA123456789"},"orderType":{"$ref":"#/components/schemas/Package.Model.Common.V4.OrderType"},"creationTime":{"type":"string","description":"The DateTime the package was created in the eShopWorld system.","format":"date-time","nullable":true,"example":"2020-06-29 12:57:23"},"carrierId":{"type":"string","description":"The identifier for the Carrier handling the package.","nullable":true,"example":"123456"},"carrierName":{"type":"string","description":"The carrier name for the package.","nullable":true,"example":"DHL Express"},"carrierReference":{"maxLength":50,"minLength":0,"type":"string","description":"Unique reference of carrier of this package.","nullable":true,"example":"DHL1234567"},"parcelCarrierReference":{"type":"string","description":"Parcel Carrier reference number which we will use to track the package.","nullable":true,"example":"DHL123456745656"},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.V4.WeightInfo"},"shippingStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.ShippingStatus"},"shippingInfo":{"$ref":"#/components/schemas/Package.Model.Domain.Price"},"goodsDescription":{"maxLength":100,"minLength":0,"type":"string","description":"The package content's description.","nullable":true,"example":"Test Description"},"serviceLevel":{"$ref":"#/components/schemas/Package.Model.Common.V4.ServiceLevel"},"dangerousGoods":{"type":"boolean","description":"Indicates whether the package contains any items that are Dangerous/Hazardous.","nullable":true,"example":false},"dimensions":{"$ref":"#/components/schemas/Package.Model.Domain.V4.DimensionInfo"},"holdReleaseStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.HoldReleaseStatus"},"palletId":{"type":"string","description":"Gets or sets the pallet identifier.","nullable":true,"example":"ABC1234567"},"distributionCentre":{"type":"string","description":"Gets or sets the distribution centre.","nullable":true,"example":"USDC1"},"hubCode":{"maxLength":10,"minLength":0,"type":"string","description":"(Optional) Hub code used to identify a hub for processing the package.\n            This is a hub that has been configured on the eShopWorld platform and eShopWorld will provide the accepted hub code.","nullable":true,"example":"AMS"},"trackingUrl":{"maxLength":500,"minLength":0,"type":"string","description":"Link to Tracking information for the package.","nullable":true,"example":"http\:///trackingId?1234567"},"additionalCarrierData":{"$ref":"#/components/schemas/Package.Model.DTO.V4.AdditionalCarrierData"},"additionalImportInformation":{"maxLength":200,"minLength":0,"type":"string","description":"Additional information/Documents produced/Certificates and authorizations.","nullable":true,"example":"Additional Import Information"},"consignee":{"$ref":"#/components/schemas/Package.Model.Domain.Consignee"},"packageItems":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageItem"},"description":"Attributes that describe the package item(s). If not supplied, it will be assumed that all\nitems in the order are contained in the Package.","nullable":true},"shippingDocumentation":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.ShippingDocumentation"},"description":"The shipping documents.","nullable":true},"returnsDocumentation":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.ReturnsDocumentation"},"description":"The returns documents.","nullable":true,"example":""},"metadata":{"description":"Gets or sets the metadata information.  This can be any custom data that is\nseen as pass-through.","nullable":true}},"additionalProperties":false,"description":"Details of the package."},"Package.Model.DTO.V4.PackageCreate":{"required":\["brandCode","orderReference","orderType","packageReference","weight"],"type":"object","properties":{"brandCode":{"maxLength":3,"minLength":0,"type":"string","description":"eShopWorld’s unique three letter identifier for the retailer's brand.\nThis will be used to identify the brand and cannot be updated.","example":"GOC"},"orderReference":{"maxLength":50,"minLength":0,"type":"string","description":"Retailer’s unique reference for the order to which this package relates.\nThis will be used to identify the order and cannot be updated.","example":"ABC1234567890"},"packageReference":{"maxLength":50,"minLength":0,"type":"string","description":"Retailer’s unique reference for this package.\nThis will be used to identify the package and cannot be updated.","example":"AAA1234567890"},"orderType":{"$ref":"#/components/schemas/Package.Model.Common.V4.OrderType"},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.V4.WeightInfo"},"shippingDocumentationRequested":{"type":"boolean","description":"Indicates whether Shipping Documentation should be requested and returned in the response. If not provided, false is assumed.","example":false},"returnDocumentationRequested":{"type":"boolean","description":"(Optional) - Retailer Specific - Indicates whether Return Documentation (Return Label) should be requested and returned in the response. If not provided, false is assumed.\n\nReturn Documentation can include Labels for the Customer to attach to any Return Packages or Document for the Customer to include in any Return Packages. This documentation must be agreed in advance with eShopWorld.","example":false},"shippingStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.ShippingStatus"},"parentOrderReference":{"maxLength":30,"minLength":0,"type":"string","description":"Parent order reference number. Used where the package is a back-order package or the shipped order\nreference is different, for example, a child order number. The ParentOrderReference is required to\nlink the packages to a single original parent order.","nullable":true,"example":"ABC1234567890"},"carrierId":{"type":"integer","description":"(Optional) The eShopWorld identifier for the Last Mile Carrier handling the package. If the CarrierId is known, the Retailer can supply the Id, however in most cases the Carrier is provided by eShopWorld\n\n List of Carrier Ids:\n\n 1 DHL Paket\n\n 2 DPD Switzerland\n\n 3 TNT\n\n 4 An Post\n\n 5 Selektvracht\n\n 6 Royal Mail\n\n 7 DHL Express\n\n 8 Asendia\n\n 9 Aramex\n\n 10 DAI\n\n 11 USPS\n\n 13 Seur\n\n 14 Colissimo\n\n 15 Yamato\n\n 16 eShopWorld\n\n 17 PostNord\n\n 18 DPD Europe\n\n 19 DPD Group\n\n 20 CanadaPost\n\n 21 Estafeta\n\n 22 Skypostal\n\n 23 PTS\n\n 24 Aramex\n\n 25 CAS AU\n\n 26 CAS NZ\n\n 27 DAI Australia\n\n 28 SDA Italy\n\n 29 Asendia EU\n\n 30 Colissimo International\n\n 1000 None\n\n 1001 Expeditors\n\n 1002 United\n\n 1003 KWE\n\n 1004 American Airlines\n\n 1005 DPD Russia\n\n 1006 DPD Netherlands\n\n 1007 Sing Post\n\n 1008 Yamato TW\n\n 1009 IBC IMEX\n\n 1010 Singapore Post Quantum\n\n 1011 StarTrack\n\n 1012 Boxberry\n\n 1013 Newgistics\n\n 1014 UPS\n\n 1015 DHL Global Mail\n\n 1016 Pilot\n\n 1017 Courier IT\n\n 1020 wnDirect\n\n 1021 Purolator\n\n 1022 test\n\n 1023 None1\n\n 1024 Hellmann\n\n 1025 DHL Global Mail - WS\n\n 1026 DHL Global Mail US - WS\n\n 1027 Aramex SGP\n\n 1028 Asendia Shipping WS\n\n 1029 Belgian Post Group\n\n 1030 La Post\n\n 1031 Russian post\n\n 1032 Swiss Post\n\n 1033 DHL WeltPaket\n\n 1034 Ferrari\n\n 1035 GLS Export Business Parcel\n\n 1036 Correos 72H Parcel\n\n 1037 Nova Poshta\n\n 1038 FedEx\n\n 1039 Ninjavan\n\n 1040 Kerry\n\n 1041 Yamato HK\n\n 1042 SEKO\n\n 1043 SF Express","format":"int32","example":1},"carrierReference":{"maxLength":50,"minLength":0,"type":"string","description":"Unique reference from the carrier for this Package. If the CarrierReference is known, the Retailer can supply it, however in most cases the CarrierReference is provided by eShopWorld.","nullable":true,"example":"ABC1234567890"},"distributionCentre":{"maxLength":200,"type":"string","description":" Distribution Centre from where the package will be shipped. Examples: IEDUB, AUCOW, HKHKG, FRPAR, USASD, NOTIS, CHZUR, CACAN, TRPTS, MXEST, etc\n\nNOTE: These must be agreed in advance with eShopWorld. eShopWorld will create the Distribution Centre(s) and will supply the Retailer with a unique identifier for each to pass in the API 'DistributionCentre' field","nullable":true,"example":"USDC1"},"hubCode":{"maxLength":10,"minLength":0,"type":"string","description":"(Optional) Hub code used to identify a hub for processing the package. Used by selected retailers only.\n            This is a hub that has been configured on the eShopWorld platform and eShopWorld will provide the accepted hub code.","nullable":true,"example":"AMS"},"additionalImportInformation":{"maxLength":200,"minLength":0,"type":"string","description":"Additional information/Documents produced/Certificates and authorizations.","nullable":true,"example":"Additional Import Information"},"isBackOrder":{"type":"boolean","description":"Indicates whether the package is the first package shipped for the order. If not provided, false is assumed.","example":false},"dangerousGoods":{"type":"boolean","description":"Indicates whether the package contains any items that are Dangerous/Hazardous. Items that are deemed to be hazardous or dangerous as agreed between eShopWorld's Trade Compliance team and the Retailer's Catalog","example":false},"dangerousGoodsClassificationCode":{"type":"string","description":"Package Dangerous Goods classification code.","nullable":true,"example":"4.1"},"dangerousGoodsUNNumber":{"type":"string","description":"Package Dangerous Goods UN Number.","nullable":true,"example":"UN 0001"},"consignee":{"$ref":"#/components/schemas/Package.Model.Domain.Consignee"},"shippingInfo":{"$ref":"#/components/schemas/Package.Model.Domain.Price"},"insuranceAmount":{"$ref":"#/components/schemas/Package.Model.Domain.Price"},"dimensions":{"$ref":"#/components/schemas/Package.Model.Domain.V4.DimensionInfo"},"goodsDescription":{"maxLength":100,"minLength":0,"type":"string","description":"(Optional) The package contents description.\n            If this is not supplied we will use the description of the first order article in the package","nullable":true,"example":"Goods Description"},"serviceLevel":{"$ref":"#/components/schemas/Package.Model.Common.V4.ServiceLevel"},"packageItems":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageItem"},"description":"Attributes that describe the package item(s). If not supplied, it will be assumed that all\nitems in the order are contained in the Package.","nullable":true},"additionalCarrierData":{"$ref":"#/components/schemas/Package.Model.DTO.V4.AdditionalCarrierData"},"palletId":{"type":"string","description":"Gets or sets the pallet identifier.","nullable":true,"example":"ABC123456"},"metadata":{"description":"Gets or sets the metadata information.  This can be any custom data that is\nseen as pass-through.","nullable":true}},"additionalProperties":false,"description":"Details of the package update."},"Package.Model.DTO.V4.PackageCreateBatch":{"required":\["brandCode","packageDetails","weight"],"type":"object","properties":{"brandCode":{"maxLength":3,"minLength":0,"type":"string","description":"eShopWorld’s unique three letter identifier for the retailer's brand.\nThis will be used to identify the brand and cannot be updated.","example":"GOC"},"packageDetails":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageReferences"},"description":"Retailer’s unique reference for the order to which this package relates.\nThis will be used to identify the orders and cannot be updated.","example":\[{"OrderReference":"ABC1234567890","PackageReference":"AAA1234567890"},{"OrderReference":"ABC1234567891","PackageReference":"AAA1234567891"}]},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.V4.WeightInfo"},"dimensions":{"$ref":"#/components/schemas/Package.Model.Domain.V4.DimensionInfo"},"shippingDocumentationRequested":{"type":"boolean","description":"Indicates whether Shipping Documentation should be requested and returned in the response. If not provided, false is assumed.","example":false},"returnDocumentationRequested":{"type":"boolean","description":"(Optional) - Retailer Specific - Indicates whether Return Documentation (Return Label) should be requested and returned in the response. If not provided, false is assumed.\n\nReturn Documentation can include Labels for the Customer to attach to any Return Packages or Document for the Customer to include in any Return Packages. This documentation must be agreed in advance with eShopWorld.","example":false},"insuranceAmount":{"$ref":"#/components/schemas/Package.Model.Domain.Price"},"dangerousGoods":{"type":"boolean","description":"Indicates whether the package contains any items that are Dangerous/Hazardous. Items that are deemed to be hazardous or dangerous as agreed between eShopWorld's Trade Compliance team and the Retailer's Catalog","example":false},"dangerousGoodsClassificationCode":{"type":"string","description":"Package Dangerous Goods classification code.","nullable":true,"example":"4.1"},"dangerousGoodsUNNumber":{"type":"string","description":"Package Dangerous Goods UN Number.","nullable":true,"example":"UN 0001"}},"additionalProperties":false,"description":"PackageCreateBatch Model"},"Package.Model.DTO.V4.PackageDimension.MasterPackageDimension":{"type":"object","properties":{"id":{"type":"string","description":"Id of the MasterPackageDimension","nullable":true},"brandCode":{"type":"string","description":"Tenant code of the MasterPackageDimension","nullable":true},"tenantCode":{"type":"string","description":"Tenant code of the MasterPackageDimension","nullable":true},"boxCode":{"type":"string","description":"box code of the MasterPackageDimension","nullable":true},"width":{"type":"number","description":"Width of the MasterPackageDimension","format":"double","nullable":true},"height":{"type":"number","description":"Height of the MasterPackageDimension","format":"double","nullable":true},"length":{"type":"number","description":"Length of the MasterPackageDimension","format":"double","nullable":true},"measurement":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement"}},"additionalProperties":false,"description":"Master Package Dimension"},"Package.Model.DTO.V4.PackageDimension.MasterPackageDimensionDto":{"type":"object","properties":{"masterPackageDimensions":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.MasterPackageDimension"},"description":"list of MasterPackageDimensionS","nullable":true}},"additionalProperties":false,"description":"DTO for MasterPackageDimension"},"Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement":{"enum":\[0,1],"type":"integer","description":"Enum for PackageDimensionMeasurement","format":"int32"},"Package.Model.DTO.V4.PackageDimension.PackageDimensionRequest":{"type":"object","properties":{"masterPackageDimensionId":{"type":"string","description":"(Required) unique identifier GUID.","format":"uuid","nullable":true,"example":"9d675783-2a9e-40f6-bc9d-06cd9b7f459f"},"brandCode":{"type":"string","description":"(Required) eShopWorld’s unique identifier for the retailer's brand.","nullable":true,"example":"GOC"},"tenantCode":{"type":"string","description":"(Required) eShopWorld’s unique identifier for the retailer's brand.","nullable":true,"example":"GOC"},"boxCode":{"type":"string","description":"box code of the MasterPackageDimension","nullable":true,"example":"XL"},"width":{"type":"number","description":"Width of the MasterPackageDimension","format":"double","nullable":true,"example":20},"height":{"type":"number","description":"Height of the MasterPackageDimension","format":"double","nullable":true,"example":20},"length":{"type":"number","description":"Length of the MasterPackageDimension","format":"double","nullable":true,"example":20},"measurement":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionMeasurement"}},"additionalProperties":false,"description":"update request fot MasterPackageDimension"},"Package.Model.DTO.V4.PackageItem":{"required":\["productCode","quantity","weight"],"type":"object","properties":{"productCode":{"minLength":1,"type":"string","description":"The Retailer's unique identification code or SKU for the order article.","example":"ABC1234567890"},"lineItemId":{"type":"integer","description":"(Optional) The LineItemId as provided on Checkout.","format":"int32","nullable":true,"example":1},"quantity":{"type":"integer","description":"(Required) Number of items of the productCode.\nThe quantity can be greater than one only if productCode and unitPrice match.\nIf there are two items in the package with the same productCode but different prices, then each item must have its own individual PackageItems parameter.","format":"int32","example":1},"productDescription":{"maxLength":500,"minLength":0,"type":"string","description":"Description of the product. This is required for non-checkout orders and optional for checkout, return and offline orders.","nullable":true,"example":"Product Description"},"productCustomsDescription":{"maxLength":500,"minLength":0,"type":"string","description":"Description of the product, including material composition for customs purpose. This is optional for checkout, required for non-checkout orders.","nullable":true,"example":"US"},"countryOfOrigin":{"maxLength":2,"minLength":0,"type":"string","description":"Two-letter manufacturing country of origin of the product in the ISO 3166-1 alpha-2 format. This is optional for checkout, required for non-checkout orders.","nullable":true,"example":"US"},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.V4.WeightInfo"},"unitPrice":{"$ref":"#/components/schemas/Package.Model.Domain.Price"},"hsCode":{"maxLength":20,"minLength":0,"type":"string","description":"Harmonized System (HS) code of the product. This is optional for checkout, required for non-checkout orders.","nullable":true,"example":"ABC123456"},"fta":{"type":"boolean","description":"Indicates if the item is covered under the free trade agreement.","nullable":true,"example":false},"dangerousGoods":{"type":"boolean","description":"Indicates whether the package item contains any items that are Dangerous/Hazardous (The articles or substances that pose a risk to people, property or the environment, due to their chemical or physical properties. These products are classified as dangerous goods and are prohibited from being stored on the airplane).","nullable":true,"example":false},"serialNumber":{"maxLength":50,"minLength":0,"type":"string","description":"The serial number of the package item.","nullable":true,"example":"ABC123456"},"warrantyId":{"maxLength":50,"minLength":0,"type":"string","description":"The warranty ID of the package item.","nullable":true,"example":"ABC123456"}},"additionalProperties":false,"description":"Package item information."},"Package.Model.DTO.V4.PackageReferences":{"required":\["orderReference","packageReference"],"type":"object","properties":{"orderReference":{"maxLength":50,"minLength":0,"type":"string","description":"Retailer’s unique reference for the order to which this package relates.\nThis will be used to identify the order and cannot be updated.","example":"ABC1234567890"},"packageReference":{"maxLength":50,"minLength":0,"type":"string","description":"Retailer’s unique reference for this package.\nThis will be used to identify the package and cannot be updated.","example":"AAA1234567890"}},"additionalProperties":false,"description":"PackageReferences"},"Package.Model.DTO.V4.PackageUpdate":{"required":\["brandCode","orderReference","packageReference"],"type":"object","properties":{"brandCode":{"minLength":1,"type":"string","description":"eShopWorld’s unique three letter identifier for the retailer's brand. This will be used to identify the brand and cannot be updated.","example":"GOC"},"orderReference":{"minLength":1,"type":"string","description":"Retailer’s unique reference for the order to which this package relates. This will be used to identify the order and cannot be updated.","example":"ABC123456789"},"packageReference":{"minLength":1,"type":"string","description":"Retailer’s unique reference for this package.  This will be used to identify the package and cannot be updated.","example":"AAA123456789"},"shippingStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.ShippingStatus"},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.V4.WeightInfo"},"carrierId":{"type":"integer","description":"The identifier for the Carrier handling the package.","format":"int32","example":123},"carrierReference":{"type":"string","description":"Unique reference of carrier of this package.","nullable":true,"example":"ABC123456789"},"carrierServiceDescription":{"type":"string","description":"Describes the Carrier.","nullable":true,"example":"Aramex"},"distributionCentre":{"type":"string","description":"Distribution Centre from where the package will be shipped.","nullable":true,"example":"USDC1"},"consignee":{"$ref":"#/components/schemas/Package.Model.DTO.V4.ConsigneeUpdate"},"dimensions":{"$ref":"#/components/schemas/Package.Model.Domain.V4.DimensionInfo"},"serviceLevel":{"$ref":"#/components/schemas/Package.Model.Common.V4.ServiceLevel"},"palletId":{"type":"string","description":"Id of the Pallet on which the Package is contained.","nullable":true,"example":"ABC12345"},"additionalCarrierData":{"$ref":"#/components/schemas/Package.Model.DTO.V4.AdditionalCarrierData"},"clientType":{"$ref":"#/components/schemas/Package.Model.Common.V4.ClientType"}},"additionalProperties":false,"description":"Details of the package to update."},"Package.Model.DTO.V4.ReturnsDocumentation":{"type":"object","properties":{"returnTrackingNumber":{"type":"string","description":"Return Tracking number","nullable":true,"example":"AA12345678"},"returnShipmentNo":{"type":"string","description":"Return ShipmentNo","nullable":true,"example":"12345678-1234-1234-1234-123456789012"},"returnTrackingUrl":{"type":"string","description":"Return Tracking URL","nullable":true,"example":"<http://tracking-test.someurl.com?SendingId=1123123123123123.."},"Document":{"type":"string","description":"The> document in base64 format. Note: All documents are in base64 format.","nullable":true,"example":"JVBERi0xLjMNCjEgMCBvYmoNCjw8DQovVHlwM..."},"type":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentationType"},"format":{"type":"string","description":"Document format. ZIP or PDF","nullable":true,"example":"Pdf"},"link":{"type":"string","description":"The document resource uri.","nullable":true,"example":"[http://examplelink"},"documentStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentStatus"}},"additionalProperties":false,"description":"Package](https://developer.esw.com/package-api/resources/http:/examplelink"},"documentStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentStatus"}},"additionalProperties":false,"description":"Package) returns documentation information."},"Package.Model.DTO.V4.ShippingDocumentation":{"type":"object","properties":{"Document":{"type":"string","description":"The document in base64 format. Note: All documents are in base64 format.","nullable":true,"example":"JVBERi0xLjMNCjEgMCBvYmoNCjw8DQovVHlwM..."},"type":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentationType"},"format":{"type":"string","description":"Document format. ZIP or PDF","nullable":true,"example":"Pdf"},"link":{"type":"string","description":"The document resource uri.","nullable":true,"example":"[http://examplelink"},"documentStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentStatus"}},"additionalProperties":false,"description":"Package](https://developer.esw.com/package-api/resources/http:/examplelink"},"documentStatus":{"$ref":"#/components/schemas/Package.Model.Common.V4.DocumentStatus"}},"additionalProperties":false,"description":"Package) shipping documentation information."},"Package.Model.DTO.WeightInfoBatchDto":{"type":"object","properties":{"weight":{"type":"number","description":"Gets or sets the weight.","format":"double"},"weightUnit":{"type":"string","description":"Gets or sets the unit of the weight.","nullable":true}},"additionalProperties":false,"description":"Represents the weight information."},"Package.Model.Domain.Consignee":{"required":\["address1","city","country","email","firstName","lastName","postalCode","telephone"],"type":"object","properties":{"name":{"type":"string","description":"Used for purposes of ShipToStore - EG Store Name","nullable":true},"firstName":{"minLength":1,"type":"string","description":"First name of the recipient.","example":"John"},"lastName":{"minLength":1,"type":"string","description":"Last name of the recipient.","example":"Doe"},"address1":{"minLength":1,"type":"string","description":"Address Line 1 of the address.","example":"Address 1"},"address2":{"type":"string","description":"Address Line 2 of the address.","nullable":true,"example":"Address 2"},"address3":{"type":"string","description":"Address Line 3 of the address.","nullable":true,"example":"Address 3"},"city":{"minLength":1,"type":"string","description":"City of the address.","example":"City"},"postalCode":{"minLength":1,"type":"string","description":"Postal code or zip code of the address.","example":"Post Code"},"poBox":{"type":"string","description":"Postal order box address of the address.","nullable":true,"example":"PO Box 123"},"region":{"type":"string","description":"Region, province, state, or county of the address. ISO can be provided, if available.","nullable":true,"example":"US"},"country":{"minLength":1,"type":"string","description":"ISO 3166 two-letter country code of the address.","example":"US"},"gender":{"type":"string","description":"Gender of the recipient.","nullable":true,"example":"Female"},"email":{"minLength":1,"type":"string","description":"Email Address of the recipient.","example":"<test@test.com>"},"telephone":{"minLength":1,"type":"string","description":"Phone number of the recipient.","example":"0123456789"},"unit":{"type":"string","description":"Unit Number of the recipient.","nullable":true,"example":"Unit 456"}},"additionalProperties":false,"description":"(Optional) Attributes that describe the contact details for the shopper."},"Package.Model.Domain.DimensionInfo":{"type":"object","properties":{"dimHeight":{"type":"string","description":"(Optional) Height of the package.","nullable":true,"example":"123"},"dimLength":{"type":"string","description":"(Optional) Width of the package.","nullable":true,"example":"123"},"dimWidth":{"type":"string","description":"(Optional) Length of the package.","nullable":true,"example":"123"},"dimensionalWeight":{"type":"string","description":"(Optional) Weight of the package.","nullable":true,"example":"123"},"dimMeasurementUnit":{"$ref":"#/components/schemas/Package.Model.Common.DimensionUnit"}},"additionalProperties":false,"description":"(Required) Attributes that describe the package dimensions."},"Package.Model.Domain.PackageConsignee":{"type":"object","properties":{"firstName":{"type":"string","description":"(Required) First name of the recipient.","nullable":true,"example":"First Name"},"lastName":{"type":"string","description":"(Required) Last name of the recipient.","nullable":true,"example":"Last Name"},"unit":{"type":"string","description":"(Optional) Unit number of the recipient's address.","nullable":true,"example":"Unit 123"},"poBox":{"type":"string","description":"(Optional) Postal order box of the address.","nullable":true,"example":"PO Box 123"},"address1":{"type":"string","description":"(Required) Address line 1 of the address.","nullable":true,"example":"Address 1"},"address2":{"type":"string","description":"(Optional) Address line 2 of the address.","nullable":true,"example":"Address 2"},"address3":{"type":"string","description":"(Optional) Address line 3 of the address.","nullable":true,"example":"Address 3"},"city":{"type":"string","description":"(Required) City of the address.","nullable":true,"example":"City"},"postalCode":{"type":"string","description":"(Required) Postal code or zip code of the address.","nullable":true,"example":"Postcode"},"Country":{"type":"string","description":"(Required) ISO 3166 two-letter country code of the address.","nullable":true,"example":"US"},"telephone":{"type":"string","description":"(Required) Phone number of the recipient.","nullable":true,"example":"123456"},"gender":{"type":"string","description":"(Optional) Gender of the recipient.","nullable":true,"example":"Female"},"email":{"type":"string","description":"(Required) Email address of the recipient.","nullable":true,"example":"<test@test.com>"},"region":{"type":"string","description":"(Optional) Region, province, state, or county of the address. ISO can be provided, if available.","nullable":true,"example":"US"}},"additionalProperties":false,"description":"(Optional) Attributes that describe the contact details for the shopper."},"Package.Model.Domain.PackageItem":{"type":"object","properties":{"productCode":{"type":"string","description":"(Required) The Retailer's unique identification code or SKU for the order article.","nullable":true,"example":"ABC12345"},"quantity":{"type":"integer","description":"(Required) Number of items of the productCode.\nThe quantity can be greater than one only if productCode and unitPrice match.\nIf there are two items in the package with the same productCode but different prices, then each item must have its own individual PackageItems parameter.","format":"int32","example":123},"productDescription":{"type":"string","description":"Description of the product. This is required for non-checkout orders and optional for checkout, return and offline orders.","nullable":true,"example":"Product Description"},"productCustomsDescription":{"type":"string","description":"Description of the product, including material composition for customs purpose. This is optional for checkout, required for non-checkout orders.","nullable":true,"example":"Product Customs Description"},"countryOfOrigin":{"type":"string","description":"Two-letter manufacturing country of origin of the product in the ISO 3166-1 alpha-2 format. This is optional for checkout, required for non-checkout orders.","nullable":true,"example":"UK"},"weight":{"$ref":"#/components/schemas/Package.Model.Domain.WeightInfo"},"unitPrice":{"type":"number","description":"Unit price of the product.\nThe unitPrice is the final price that is charged after discounts, if any, are applied. This is optional for checkout, required for non-checkout orders.","format":"double","example":1234.56},"unitPriceCurrency":{"type":"string","description":"Three-letter currency of the unitPrice in the ISO 4217 format. This is optional for checkout, required for non-checkout orders.\nThis is required if unitPrice of the product is specified.","nullable":true,"example":"GBP"},"hsCode":{"type":"string","description":"Harmonized System (HS) code of the product.\nThis is optional for checkout, required for non-checkout orders.","nullable":true,"example":"ABC123456"},"fta":{"type":"boolean","description":"(Optional) Indicates if the item is covered under the free trade agreement..","nullable":true,"example":true},"serialNumber":{"type":"string","description":"(Optional) The serial number of the package item.","nullable":true,"example":"ABC123456"},"warrantyId":{"type":"string","description":"(Optional) The warranty ID of the package item.","nullable":true,"example":"ABC123456"}},"additionalProperties":false,"description":"(Required) Attributes that describe the package items."},"Package.Model.Domain.Price":{"type":"object","properties":{"amount":{"type":"number","description":"(Optional) The total amount cost of shipping the package.","format":"double","example":123.45},"currency":{"type":"string","description":"(Optional) ISO 4217 code of the transaction currency, for example, USD for US Dollars. Currency can be in either Shopper Currency or Retailer Currency.","nullable":true,"example":"USD"}},"additionalProperties":false,"description":"Price"},"Package.Model.Domain.ShippingInfo":{"type":"object","properties":{"shippingChargeValue":{"type":"number","description":"(Optional) Shipping or delivery charge for the package.","format":"double","example":12.34},"shippingChargeCurrency":{"type":"string","description":"(Optional) Three-letter currency of unitPrice in the ISO 4217 format, for example, EUR for Euro. Currency can be in either Shopper Currency or Retailer Currency.","nullable":true,"example":"USD"}},"additionalProperties":false,"description":"(Required) Attributes that describe the package Shipping data."},"Package.Model.Domain.V3.DimensionInfo":{"type":"object","properties":{"dimHeight":{"type":"string","description":"(Optional) Height of package.","nullable":true,"example":"123"},"dimLength":{"type":"string","description":"(Optional) Width of package.","nullable":true,"example":"123"},"dimWidth":{"type":"string","description":"(Optional) Length of package.","nullable":true},"dimWeight":{"type":"string","description":"(Optional) (Optional) Weight of package.","nullable":true,"example":"123"},"dimUnit":{"$ref":"#/components/schemas/Package.Model.Common.DimensionUnit"}},"additionalProperties":false,"description":"(Required) Attributes that describe the package dimensions."},"Package.Model.Domain.V4.DimensionInfo":{"type":"object","properties":{"dimHeight":{"type":"string","description":"Height of package.","nullable":true,"example":"12.34"},"dimLength":{"type":"string","description":"Width of package.","nullable":true,"example":"12.34"},"dimWidth":{"type":"string","description":"Length of package.","nullable":true,"example":"12.34"},"dimWeight":{"type":"string","description":"Weight of package.","nullable":true,"example":"12.34"},"dimMeasurementUnit":{"$ref":"#/components/schemas/Package.Model.Common.V4.DimensionUnit"}},"additionalProperties":false,"description":"Dimensions is an optional parameter unless dimensions are specified in the request.  Once specified each parameter is required to have a value."},"Package.Model.Domain.V4.WeightInfo":{"type":"object","properties":{"weight":{"type":"number","description":"(Required) Total weight of the package.","format":"double","nullable":true,"example":12.34},"weightUnit":{"$ref":"#/components/schemas/Package.Model.Common.V4.WeightUnit"}},"additionalProperties":false,"description":"(Required) Attributes that describe the package weight data."},"Package.Model.Domain.WeightInfo":{"type":"object","properties":{"weightTotal":{"type":"number","description":"(Required) Total weight of the package.","format":"double","nullable":true,"example":12.23},"weightUnit":{"$ref":"#/components/schemas/Package.Model.Common.WeightUnit"}},"additionalProperties":false,"description":"(Required) Attributes that describe the package weight data."},"Package.Model.Exceptions.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message:\n\n\nBrand is not configured for Ship from Store;\n\nFromDate must be less than ToDate;\n\nInvalid PageNumber;\n\nInvalid PageSize;\n\nInvalid OrderId;\n\nInvalid TenantCode;\n\nAt least one OrderArticleId is required;\n\nHublocation is required;\n\nThis Tenants BrandCode Doesn't Exist;\n\nLabel GET Failed for Order {OrderId};\n\nInvalid value {Quantity} supplied;\n\n{PropertyName} is required;\n\n{PropertyName} has invalid length;\n\n{PropertyName} has invalid field value;\n\nPackageRequestMustBeSet: Request is not valid/well-formed;","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32","example":123}},"additionalProperties":false,"description":"Error information."},"System.Net.HttpStatusCode":{"enum":\[100,101,102,103,200,201,202,203,204,205,206,207,208,226,300,301,302,303,304,305,306,307,308,400,401,402,403,404,405,406,407,408,409,410,411,412,413,414,415,416,417,421,422,423,424,426,428,429,431,451,500,501,502,503,504,505,506,507,508,510,511],"type":"integer","format":"int32"}},"endpoints":\[{"method":"POST","path":"/api/v4/Manifest","summary":"Manifest information update","pathParams":\[],"bodySchema":{"$ref":"#/components/schemas/Package.Model.DTO.ManifestRequest"}},{"method":"POST","path":"/api/v4/Package","summary":"Posts the order information to create a package.","pathParams":\[],"bodySchema":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageCreate"}},{"method":"PUT","path":"/api/v4/Package","summary":"Update an existing package's information.","pathParams":\[],"bodySchema":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageUpdate"}},{"method":"POST","path":"/api/v4/PackageDimension","summary":"","pathParams":\[],"bodySchema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.V4.PackageDimension.PackageDimensionRequest"}}},{"method":"POST","path":"/api/v4/SfaConfig","summary":"Create SfaConfig for a specific brand","pathParams":\[],"bodySchema":{"$ref":"#/components/schemas/Package.Data.CosmosDb.Entities.SfaConfig"}},{"method":"PUT","path":"/api/v4/SfaConfig","summary":"Create SfaConfig for a specific brand","pathParams":\[],"bodySchema":{"$ref":"#/components/schemas/Package.Data.CosmosDb.Entities.SfaConfig"}},{"method":"POST","path":"/api/v4/SfaConfig/MigrateCurrentConfiguration","summary":"Create SfaConfig from current front end json file","pathParams":\[],"bodySchema":{"type":"array","items":{"$ref":"#/components/schemas/Package.Model.DTO.SfaConfigBatchDto"}}}]}" specUrl="<https://logistics-package-api.sandbox.eshopworld.com/swagger/v4/swagger.json>" epIdx="1" method="POST" path="/api/v4/Package" title="Posts the order information to create a package." %}

</details>

***

### Customer support

Retrieve an existing package successfully with:

```http
GET /api/v4/Package
```

This endpoint retrieves package information by `BrandCode`, `PackageReference`, and optionally `OrderReference`. `BrandCode` and `PackageReference` are required query parameters.

#### First successful request

```http
curl -X GET "https://logistics-package-api.sandbox.eshopworld.com/api/v4/Package?BrandCode=GOC&PackageReference=PKG1234567890&OrderReference=ABC1234567890" \
  -H "Authorization: Bearer <JWT>" \
  -H "Accept: application/json"
```

#### Query Parameters

| Name               | Type     | Description                                                                                                                                                                      |
| ------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `OrderReference`   | `string` | <p><mark style="color:$warning;"><code>Optional</code></mark></p><p>Retailer’s unique reference for the order to which this package relates. Example: <code>ABC12345</code>.</p> |
| `BrandCode`        | `string` | <p><mark style="color:$danger;"><code>Required</code></mark></p><p>eShopWorld’s unique three-letter identifier for the retailer's brand. Example: <code>GOC</code>.</p>          |
| `PackageReference` | `string` | <p><mark style="color:$danger;"><code>Required</code></mark></p><p>Retailer’s unique reference for this package. Example: <code>ABC12345</code>.</p>                             |

***

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/package-api/resources/first-successful-requests.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
